# d=read.tsv(pipe("fmt2tsv < deps.txt"),header=T)
d=read.table("deps.tsv",header=T,sep="\t")
d$col=c('red','blue')[d$conv+1]
d$pch=ifelse(as.character(d$Team) %in% c("ZhangNivre","BerkeleyParser"), 0, 
               c(1,2)[d$conv+1])


d$wsj.ntok = 35590
d$ans.ntok = 28823
d$ng.ntok  = 20651
d$rev.ntok = 28086
d$webavg.ntok = with(d, ans.ntok + ng.ntok + rev.ntok)
bse = function(p,n) {p=p/100; s=sqrt(p*(1-p)/n); s*100}
d$wsj.LAS.se    = bse(d$wsj.LAS, d$wsj.ntok)
d$webavg.LAS.se = bse(d$webavg.LAS, d$webavg.ntok)

lim=c(68,92.5)

dopng("wsj_las.png",width=300,height=500,cmd={
with(arrange(d,webavg.LAS), {
     par(cex=1.2,mar=c(5,2,4,2))
     dotchart(wsj.LAS,labels=as.character(Team),col=col,pch=pch, #xlim=lim,
              main="WSJ LAS")
     segments(y0=1:N, x0=wsj.LAS-2*wsj.LAS.se,x1=wsj.LAS+2*wsj.LAS.se, col=col)
})
})

dopng("webavg_las.png",width=300,height=500,cmd={
with(arrange(d,webavg.LAS), {
     par(cex=1.2,mar=c(5,5,4,2))
     dotchart(webavg.LAS,labels=as.character(Team),col=col,pch=pch, #xlim=lim,
              main="Average Web\nLAS and 95% CI")
     segments(y0=1:N, x0=webavg.LAS-2*webavg.LAS.se,x1=webavg.LAS+2*webavg.LAS.se, col=col)
})
})

